﻿// Copyright (c) Microsoft Corporation
// The Microsoft Corporation licenses this file to you under the MIT license.
// See the LICENSE file in the project root for more information.

namespace Microsoft.PowerToys.Run.Plugin.Registry.Constants
{
    /// <summary>
    /// This class contain all maximum text length.
    /// </summary>
    public static class MaxTextLength
    {
        /// <summary>
        /// The maximum length for the title text length with two context menu symbols on the right.
        /// </summary>
        internal const int MaximumTitleLengthWithTwoSymbols = 44;

        /// <summary>
        /// The maximum length for the title text length with three context menu symbols on the right.
        /// </summary>
        internal const int MaximumTitleLengthWithThreeSymbols = 40;

        /// <summary>
        /// The maximum length for the sub-title text length with two context menu symbols on the right.
        /// </summary>
        internal const int MaximumSubTitleLengthWithTwoSymbols = 85;

        /// <summary>
        /// The maximum length for the sub-title text length with three context menu symbols on the right.
        /// </summary>
        internal const int MaximumSubTitleLengthWithThreeSymbols = 78;
    }
}
